Subject: Re: bug#44849: [PATCH] Make XEmacs compat variable warning-level-aliases obsolete

From: Stefan Kangas <[email-masked]>
Date: Thu, 10 Dec 2020 11:24:42 -0600

Lars Ingebrigtsen <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> The `warning-level-aliases' exists only to provide compatibility with
>> XEmacs warning levels.  I don't think this is very useful these days.
>>
>> I propose to make it obsolete and warn when one of these levels are
>> used.  Please see the attached patch.
>
> I'm slightly worried that these aliases are used out there in
> out-of-tree packages.  As a test, I grepped the GNU ELPA tree, but this
> was the only place where the aliases are used:
>
> (defun muse-display-warning (message)
>   "Display the given MESSAGE as a warning."
>   (if (fboundp 'display-warning)
>       (display-warning 'muse message
>                        (if (featurep 'xemacs)
>                            'warning
>                          :warning))
>
> And that's behind a featurep check, so it's fine, too.
>
> So I think the proposed change is probably fine.

Thanks.  I agree, and the way it is written it will simply show a
warning in case such a usage is not behind a featurep check.

There have been no further comments within 2 weeks, so I intend to push
the change in the next couple of days unless there are any objections.